ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
LibItsGeoNetworking__EncdecDeclarations Namespace Reference

## Functions
BITSTRING | fx__enc__GeoNetworkingReq (LibItsGeoNetworking__TestSystem::GeoNetworkingReq const &p_geoNetworkingReq)
INTEGER | fx__dec__GeoNetworkingReq (BITSTRING &b, LibItsGeoNetworking__TestSystem::GeoNetworkingReq &p)
BITSTRING | fx__enc__GeoNetworkingInd (LibItsGeoNetworking__TestSystem::GeoNetworkingInd const &p_geoNetworkingInd)
INTEGER | fx__dec__GeoNetworkingInd (BITSTRING &b, LibItsGeoNetworking__TestSystem::GeoNetworkingInd &p_geoNetworkingInd)
BITSTRING | fx__enc__GeoNetworkingPdu (LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu const &p_geoNetworkingPdu)
INTEGER | fx__dec__GeoNetworkingPdu (BITSTRING &b, LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu &p)
BITSTRING | fx__enc__GnNonSecuredPacket (const LibItsGeoNetworking__TypesAndValues::GnNonSecuredPacket &p_gnNonSecuredPacket)
INTEGER | fx__dec__GnNonSecuredPacket (BITSTRING &b, LibItsGeoNetworking__TypesAndValues::GnNonSecuredPacket &p)
BITSTRING | fx__enc__UtGnInitialize (const LibItsGeoNetworking__TypesAndValues::UtGnInitialize &p_utGnInitialize)
BITSTRING | fx__enc__UtGnChangePosition (const LibItsGeoNetworking__TypesAndValues::UtGnChangePosition &p_utGnChangePosition)
BITSTRING | fx__enc__UtGnTrigger (const LibItsGeoNetworking__TypesAndValues::UtGnTrigger &p_utGnTrigger)

## Function Documentation

## ◆ fx__dec__GeoNetworkingInd()

INTEGER LibItsGeoNetworking__EncdecDeclarations::fx__dec__GeoNetworkingInd | ( | BITSTRING & | b,
|  | LibItsGeoNetworking__TestSystem::GeoNetworkingInd & | p_geoNetworkingInd
| ) |  |

## ◆ fx__dec__GeoNetworkingPdu()

INTEGER LibItsGeoNetworking__EncdecDeclarations::fx__dec__GeoNetworkingPdu | ( | BITSTRING & | b,
|  | LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu & | p
| ) |  |

## ◆ fx__dec__GeoNetworkingReq()

INTEGER LibItsGeoNetworking__EncdecDeclarations::fx__dec__GeoNetworkingReq | ( | BITSTRING & | b,
|  | LibItsGeoNetworking__TestSystem::GeoNetworkingReq & | p
| ) |  |

## ◆ fx__dec__GnNonSecuredPacket()

INTEGER LibItsGeoNetworking__EncdecDeclarations::fx__dec__GnNonSecuredPacket | ( | BITSTRING & | b,
|  | LibItsGeoNetworking__TypesAndValues::GnNonSecuredPacket & | p
| ) |  |

## ◆ fx__enc__GeoNetworkingInd()

BITSTRING LibItsGeoNetworking__EncdecDeclarations::fx__enc__GeoNetworkingInd | ( | LibItsGeoNetworking__TestSystem::GeoNetworkingInd const & | p_geoNetworkingInd | ) |

## ◆ fx__enc__GeoNetworkingPdu()

BITSTRING LibItsGeoNetworking__EncdecDeclarations::fx__enc__GeoNetworkingPdu | ( | LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu const & | p_geoNetworkingPdu | ) |

## ◆ fx__enc__GeoNetworkingReq()

BITSTRING LibItsGeoNetworking__EncdecDeclarations::fx__enc__GeoNetworkingReq | ( | LibItsGeoNetworking__TestSystem::GeoNetworkingReq const & | p_geoNetworkingReq | ) |

## ◆ fx__enc__GnNonSecuredPacket()

BITSTRING LibItsGeoNetworking__EncdecDeclarations::fx__enc__GnNonSecuredPacket | ( | const LibItsGeoNetworking__TypesAndValues::GnNonSecuredPacket & | p_gnNonSecuredPacket | ) |

## ◆ fx__enc__UtGnChangePosition()

BITSTRING LibItsGeoNetworking__EncdecDeclarations::fx__enc__UtGnChangePosition | ( | const LibItsGeoNetworking__TypesAndValues::UtGnChangePosition & | p_utGnChangePosition | ) |

## ◆ fx__enc__UtGnInitialize()

BITSTRING LibItsGeoNetworking__EncdecDeclarations::fx__enc__UtGnInitialize | ( | const LibItsGeoNetworking__TypesAndValues::UtGnInitialize & | p_utGnInitialize | ) |

## ◆ fx__enc__UtGnTrigger()

BITSTRING LibItsGeoNetworking__EncdecDeclarations::fx__enc__UtGnTrigger | ( | const LibItsGeoNetworking__TypesAndValues::UtGnTrigger & | p_utGnTrigger | ) |